• ENTRAR
  • No hay productos en el carrito.

Problemas al arrancar el proyecto "npm start"

Viendo 11 publicaciones - del 1 al 11 (de un total de 11)
  • Autor
    Publicaciones
  • #10760

    ysidro morales
    Participante

    estoy estancado en esto.. cuando intento arrancar el proyecto me lanza el siguiente error…alguien me da luz en el tema…
    <p class=”p1″><span class=”s1″>pm</span> <span class=”s3″>ERR!</span><span class=”s2″> Darwin 16.6.0</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>argv</span><span class=”s2″> “/usr/local/bin/node” “/usr/local/bin/npm” “start”</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>node</span><span class=”s2″> v6.11.1</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>npm<span class=”Apple-converted-space”> </span></span><span class=”s2″> v3.10.10</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>file</span><span class=”s2″> sh</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>code</span><span class=”s2″> ELIFECYCLE</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>errno</span><span class=”s2″> ENOENT</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span> <span class=”s4″>syscall</span><span class=”s2″> spawn</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> angular2-quickstart@1.0.0 start: tsc && concurrently "npm run tsc:w" "npm run lite"</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> spawn ENOENT</span></p>
    <p class=”p2″><span class=”s5″>npm</span> <span class=”s2″>ERR!</span><span class=”s6″><span class=”Apple-converted-space”> </span></span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> Failed at the angular2-quickstart@1.0.0 start script ‘tsc && concurrently “npm run tsc:w” “npm run lite” ‘.</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> Make sure you have the latest version of node.js and npm installed.</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> If you do, this is most likely a problem with the angular2-quickstart package,</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> not with npm itself.</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> Tell the author that this fails on your system:</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> <span class=”Apple-converted-space”>    </span>tsc && concurrently “npm run tsc:w” “npm run lite”<span class=”Apple-converted-space”> </span></span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> You can get information on how to open an issue for this project with:</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> <span class=”Apple-converted-space”>    </span>npm bugs angular2-quickstart</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> Or if that isn’t available, you can get their info via:</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> <span class=”Apple-converted-space”>    </span>npm owner ls angular2-quickstart</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> There is likely additional logging output above.</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s7″>WARN</span><span class=”s2″> Local package.json exists, but node_modules missing, did you mean to install?</span></p>
    <p class=”p3″></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> Please include the following file with any support request:</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> <span class=”Apple-converted-space”>   </span>archivos-angular2/02template_multilinea/npm-debug.log</span></p>
    <p class=”p1″><span class=”s2″>Imac-de-aliacovalles:02template_multilinea aliciaovalles$ npm star</span></p>
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> npm star [<pkg>…]</span></p>
     
    <p class=”p1″><span class=”s1″>npm</span> <span class=”s3″>ERR!</span><span class=”s2″> npm unstar [<pkg>…]</span></p>

    #10761

    Cursosdesarrolloweb
    Jefe de claves

    Hola Ysidro,

    Es difícil entender el problema, pero por lo que veo no se ha creado el directorio node_modules.

    Local package.json exists, but node_modules missing, did you mean to install?

    Ejecuta el comando npm install dentro del proyecto y de nuevo npm start y me cuentas.

    Un saludo.

    #10790

    ysidro morales
    Participante

    Actualemente me pasa lo siguiente, en el proyecto cuando arranco por primera vez el npm start, todo funciona correctamente y no me da error, luego hago npm stop, y después de ahí comienza a darme error, actualmente tengo la version estable de node.js que sería la 16.6.0.

    ¿porque será el conflicto? si todo el código que escribo no tiene problema de sintaxis?
    Saludos..

    #10791

    Cursosdesarrolloweb
    Jefe de claves

    Hola Ysidro,

    Personalmente nunca utilizo npm stop, si estoy en windows ctrl + c y en mac cmd + c, con eso paras el proceso desde la terminal.

    No tiene ningún sentido que la primera vez funcione y la segunda no, a no ser que algún comando haya eliminado algo, cosa que no sé.

    Te recomiendo eliminar el proyecto y crearlo de nuevo, o por lo menos el directorio node_modules, a ver si tenemos algo más.

    Si tienes errores por favor pon los logs, o bien con código legible, tienes una guía aquí, o con una imagen, así será más simple.

    Un saludo.

    #10792

    ysidro morales
    Participante

    Gracias Israel, la verdad si, me da un poco de pega que me de ese tipo de error…
    voy a hacer las recomendaciones que me das, y cualquier novedad pues la dejo por aqui..

    #10793

    Cursosdesarrolloweb
    Jefe de claves

    Hola Ysidro,

    Si te sigue dando error hazme llegar los archivos sin el directorio node_modules a mi correo israel965@yahoo.es y yo lo reviso.

    Un saludo.

    #10794

    ysidro morales
    Participante

    lo unico, es que no he utilizado ningun comando… para borrar o modificar nada en el core de angular ni las dependiencias

    #10798

    ysidro morales
    Participante

    Hola he echo  lo que me recomendaste, y el error persiste… voy a hacerte llegar los archivos en un zip al email que me haz pasado

    0 info it worked if it ends with ok
    1 verbose cli [ '/usr/local/bin/node', '/usr/local/bin/npm', 'start' ]
    2 info using npm@3.10.10
    3 info using node@v6.11.1
    4 verbose run-script [ 'prestart', 'start', 'poststart' ]
    5 info lifecycle angular-quickstart@1.0.0~prestart: angular-quickstart@1.0.0
    6 verbose lifecycle angular-quickstart@1.0.0~prestart: unsafe-perm in lifecycle true
    7 verbose lifecycle angular-quickstart@1.0.0~prestart: PATH: /usr/local/lib/node_modules/npm/bin/node-gyp-bin:/Users/aliciaovalles/Documents/YAM/P/loanrepo/LoanServiceUI/node_modules/.bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin
    8 verbose lifecycle angular-quickstart@1.0.0~prestart: CWD: /Users/aliciaovalles/Documents/YAM/P/loanrepo/LoanServiceUI
    9 silly lifecycle angular-quickstart@1.0.0~prestart: Args: [ '-c', 'npm run build' ]
    10 silly lifecycle angular-quickstart@1.0.0~prestart: Returned: code: 1 signal: null
    11 info lifecycle angular-quickstart@1.0.0~prestart: Failed to exec prestart script
    12 verbose stack Error: angular-quickstart@1.0.0 prestart: <code>npm run build</code>
    12 verbose stack Exit status 1
    12 verbose stack at EventEmitter. (/usr/local/lib/node_modules/npm/lib/utils/lifecycle.js:255:16)
    12 verbose stack at emitTwo (events.js:106:13)
    12 verbose stack at EventEmitter.emit (events.js:191:7)
    12 verbose stack at ChildProcess. (/usr/local/lib/node_modules/npm/lib/utils/spawn.js:40:14)
    12 verbose stack at emitTwo (events.js:106:13)
    12 verbose stack at ChildProcess.emit (events.js:191:7)
    12 verbose stack at maybeClose (internal/child_process.js:891:16)
    12 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
    13 verbose pkgid angular-quickstart@1.0.0
    14 verbose cwd /Users/aliciaovalles/Documents/YAM/P/loanrepo/LoanServiceUI
    15 error Darwin 16.6.0
    16 error argv "/usr/local/bin/node" "/usr/local/bin/npm" "start"
    17 error node v6.11.1
    18 error npm v3.10.10
    19 error code ELIFECYCLE
    20 error angular-quickstart@1.0.0 prestart: <code>npm run build</code>
    20 error Exit status 1
    21 error Failed at the angular-quickstart@1.0.0 prestart script 'npm run build'.
    21 error Make sure you have the latest version of node.js and npm installed.
    21 error If you do, this is most likely a problem with the angular-quickstart package,
    21 error not with npm itself.
    21 error Tell the author that this fails on your system:
    21 error npm run build
    21 error You can get information on how to open an issue for this project with:
    21 error npm bugs angular-quickstart
    21 error Or if that isn't available, you can get their info via:
    21 error npm owner ls angular-quickstart
    21 error There is likely additional logging output above.
    22 verbose exit [ 1, true ]
    
    #10799

    ysidro morales
    Participante

    te he compartido un enlace de google drive

    #10801

    Cursosdesarrolloweb
    Jefe de claves

    Hola Ysidro,

    Los errores que hay son de sintaxis, lo que no entiendo es cómo han funcionado la primera vez, hay errores en el DashboardComponent, primero, estás llamando al DashboardComponent AppComponent cuando ya existe AppComponent, aunque no lo utilices, mejor evitar este tipo de casos.

    Primero los errores del DashboardComponent.

    Y ahora los del app.module.

    Probado y todo está ok, he parado y vuelto a reiniciar el servidor y todo funciona perfectamente.

    Un saludo.

    #10802

    ysidro morales
    Participante

    mm.. ok gracias… con esto entiendo un poco mi mejor el fallo XD, porque había seguido probando y note que al quitar los dashboart.module del proyecto, funcionaba.

Viendo 11 publicaciones - del 1 al 11 (de un total de 11)

Debes estar registrado para responder a este debate.

Síguenos en las redes sociales para estar al tanto de los últimas novedades :)

Facebook
Facebook
Google+
Google+
https://www.cursosdesarrolloweb.es/forums/topic/problemas-al-arrancar-el-proyecto-npm-start">
Pinterest
Pinterest
top
Cursosdesarrolloweb ©. Todos los derechos reservados.
🔓Inscríbete a cualquier curso por 9€ y accede a todos los cursos gratuitos para siempre🔓
🌍Los cursos gratuitos son exclusivos de esta plataforma, ÚLTIMOS CURSOS EN 4K🌍
+ +

Login

Create an Account Back to login/register